# Uses of Class
org.springframework.mock.web.MockHttpServletResponse

Packages that use MockHttpServletResponse
Package
Description
org.springframework.mock.web
A comprehensive set of Servlet API 6.0 mock objects, targeted at usage with Spring's Web MVC framework.
org.springframework.test.web.servlet
Contains server-side support for testing Spring MVC applications.
org.springframework.test.web.servlet.assertj
AssertJ support for MockMvc.
org.springframework.test.web.servlet.result
Contains built-in `ResultMatcher` and `ResultHandler` implementations.

## Uses of MockHttpServletResponse in org.springframework.mock.web

Methods in org.springframework.mock.web that return MockHttpServletResponse
Modifier and Type
Method
Description
`protected MockHttpServletResponse`
MockRequestDispatcher.`getMockHttpServletResponse(ServletResponse response)`
Obtain the underlying `MockHttpServletResponse`, unwrapping `HttpServletResponseWrapper` decorators if necessary.

## Uses of MockHttpServletResponse in org.springframework.test.web.servlet

Methods in org.springframework.test.web.servlet that return MockHttpServletResponse
Modifier and Type
Method
Description
`MockHttpServletResponse`
MvcResult.`getResponse()`
Return the resulting response.

## Uses of MockHttpServletResponse in org.springframework.test.web.servlet.assertj

Methods in org.springframework.test.web.servlet.assertj that return MockHttpServletResponse
Modifier and Type
Method
Description
`default MockHttpServletResponse`
MvcTestResult.`getResponse()`
Return the resulting response.
`protected MockHttpServletResponse`
MvcTestResultAssert.`getResponse()`

## Uses of MockHttpServletResponse in org.springframework.test.web.servlet.result

Methods in org.springframework.test.web.servlet.result with parameters of type MockHttpServletResponse
Modifier and Type
Method
Description
`protected final org.springframework.http.HttpHeaders`
PrintingResultHandler.`getResponseHeaders(MockHttpServletResponse response)`
`protected void`
PrintingResultHandler.`printResponse(MockHttpServletResponse response)`
Print the response.